//
//  GlobalObjects.m
//  PLS Mobile
//
//  Created by Daniel Workman on 25/04/2013.
//  Copyright (c) 2013 Daniel Workman. All rights reserved.
//

#import "GlobalObjects.h"

static NSString* g_currentUser = nil;

@implementation GlobalObjects

+(void) load {
    g_currentUser = [[NSString alloc] init];
}

+(NSString *) getCurrentUser {
    return g_currentUser;
}

+(void) setCurrentUser:(NSString*) currentUser {
    g_currentUser = currentUser;
}

+(NSString*) jobTypeToString:(JOB_TYPE) type {
    switch (type) {
        case JOB_TYPE_INSTALL:
            return @"Install";
        case JOB_TYPE_REPAIR:
            return @"Repair";
        case JOB_TYPE_UPLIFT:
            return @"Uplift";
    }
    return @"";
}

+(NSString*) jobStatusToString:(JOB_STATUS) status {
    switch (status) {
        case JOB_STATUS_WAITING:
            return @"Waiting";
        case JOB_STATUS_ACCEPTED:
            return @"Accepted";
        case JOB_STATUS_COMPLETED:
            return @"Completed";
        case JOB_STATUS_ABORTED:
            return @"Aborted";
    }
    return @"";
}

@end
